{
  description = "Home Manager configuration of test";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    noshell.url = "github:viperML/noshell";
    niri-flake.url = "github:sodiboo/niri-flake";
  };

  outputs = {
    nixpkgs,
    noshell,
    niri-flake,
    ...
  }: let
    system = "x86_64-linux";
  in {
    nixosConfigurations."nixos" = nixpkgs.lib.nixosSystem {
      inherit system;
      modules = [
        niri-flake.nixosModules.niri
        noshell.nixosModules.default
        {programs.noshell.enable = true;}
        ./configuration.nix
      ];
    };
  };
}
